Linux repositories inspector

ruby-grape - Simple Ruby framework for building REST-like APIs

Grape is a REST-like API micro-framework for Ruby. It's designed to run on Rack or complement existing web application frameworks such as Rails and Sinatra by providing a simple DSL to easily develop RESTful APIs. It has built-in support for common conventions, including multiple formats, subdomain/prefix restriction, content negotiation, versioning and much more.
1.1.0
Debian iconDebian 10.0
Debian iconDebian 9.0
Ubuntu iconUbuntu 19.04
Ubuntu iconUbuntu 19.10
1.0.3
Ubuntu iconUbuntu 18.10
1.0.2
Ubuntu iconUbuntu 18.04 LTS
0.16.2
Debian iconDebian 9.0
Ubuntu iconUbuntu 17.10
0.13.0
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb1.1.0-22019-01-12109 kiB407 kiB
Debian iconDebian 9.0 stretch/maindeb0.16.2-22017-11-1093 kiB351 kiB
Debian iconDebian 9.0 stretch-backports/maindeb1.1.0-1~bpo9+12019-02-18109 kiB407 kiB
Ubuntu iconUbuntu 17.10 artful/universedeb0.16.2-22017-11-1080.7 kiB351 kiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb1.0.2-12018-06-1992.6 kiB403 kiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb1.0.3-12019-01-1493 kiB404 kiB
Ubuntu iconUbuntu 19.04 disco/universedeb1.1.0-22019-01-1493.5 kiB407 kiB
Ubuntu iconUbuntu 19.10 eoan/universedeb1.1.0-22019-06-1793.5 kiB407 kiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb0.13.0-12017-11-1064.2 kiB280 kiB

Latest updates

Debian icon

Debian experimental experimental/main: Version 1.3.0-1 removed

2020-03-24
Debian icon

Debian experimental experimental/main: Version 1.3.0-1 introduced

2020-03-23
Utkarsh Gupta
  • Add salsa-ci.yml
  • Fix package wrt cme
    • Bump dh-compat to 12
    • Drop d/compat file
    • Add ruby-dry-types as a BD
    • Bump Standards-Version to 4.5.0
    • Add Rules-Requires-Root: no
  • Add myself as an uploader
Lucas Kanashiro
  • New upstream version 1.3.0
  • Update years of upstream copyright
  • Update patches
Ubuntu icon

Ubuntu 20.04 focal/universe: Version 1.1.0-2 removed

2020-03-20
Ubuntu icon

Ubuntu 20.04 focal/universe: Version 1.1.0-2 introduced

2020-01-07
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-10-10
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-10-10
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-10-10
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-10-10
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-25
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-25
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-25
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-25
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-06
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-06
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-06
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-06
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 reintroduced

2019-09-06
  • Drop ruby-rack-contrib and ruby-multi-json from build dependencies
  • Bump Standards-Version to 4.3.0 (no changes needed)
Ubuntu icon

Ubuntu 19.10 eoan/universe: Version 1.1.0-2 removed

2019-09-06

Related packages

ruby - Interpreter of object-oriented scripting language Ruby (default version)
ruby-grape-entity - Entity support to API frameworks, such as Grape
ruby-grape-logging - request logging support for Grape
ruby-grape-msgpack - MessagePack formatter for Grape framework
ruby-grape-path-helpers - Route path helpers for Grape
ruby-grape-route-helpers - Route helpers for Grape
⇧ Top